Skip to main content
PUT
/
workspace
/
{workspace_id}
/
settings
Update workspace settings
curl --request PUT \
  --url https://api.firma.dev/functions/v1/signing-request-api/workspace/{workspace_id}/settings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signing_request_email_header": "<string>",
  "signing_request_email_body": "<string>",
  "team_email": "jsmith@example.com",
  "timezone": "<string>",
  "show_credit_cost_in_editor": true,
  "require_otp_verification": true,
  "show_signature_frame": true
}
'
import requests

url = "https://api.firma.dev/functions/v1/signing-request-api/workspace/{workspace_id}/settings"

payload = {
"signing_request_email_header": "<string>",
"signing_request_email_body": "<string>",
"team_email": "jsmith@example.com",
"timezone": "<string>",
"show_credit_cost_in_editor": True,
"require_otp_verification": True,
"show_signature_frame": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signing_request_email_header: '<string>',
signing_request_email_body: '<string>',
team_email: 'jsmith@example.com',
timezone: '<string>',
show_credit_cost_in_editor: true,
require_otp_verification: true,
show_signature_frame: true
})
};

fetch('https://api.firma.dev/functions/v1/signing-request-api/workspace/{workspace_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "team_email": "jsmith@example.com",
  "timezone": "<string>",
  "language": "en",
  "signing_request_email_header": "<string>",
  "signing_request_email_body": "<string>",
  "show_credit_cost_in_editor": true,
  "require_otp_verification": true,
  "show_signature_frame": true
}
{
"error": "Validation Error",
"message": "Invalid input data",
"details": {
"name": "Name is required",
"email": "Invalid email format"
}
}
{
"error": "Unauthorized",
"message": "Invalid API key"
}
{
"error": "Not Found",
"message": "The requested resource was not found"
}
{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

workspace_id
string<uuid>
required

Body

application/json
signing_request_email_header
string
signing_request_email_body
string
team_email
string<email>
timezone
string
language
enum<string>

Workspace language for email templates

Available options:
en,
es,
it,
pt,
fr,
de,
el
show_credit_cost_in_editor
boolean

Whether to display credit cost in embedded editors

require_otp_verification
boolean | null

Whether signers must verify their email via OTP. null = inherit from company

show_signature_frame
boolean | null

Whether to render signature frames in completed PDFs. null = inherit from company

Response

Workspace settings updated successfully

workspace_id
string<uuid>
name
string

Workspace name

team_email
string<email>

Workspace contact email

timezone
string

Workspace timezone

language
enum<string>
default:en

Workspace language for email templates

Available options:
en,
es,
it,
pt,
fr,
de,
el
signing_request_email_header
string

Custom email header text

signing_request_email_body
string

Custom HTML email body

show_credit_cost_in_editor
boolean
default:true

Whether to display credit cost in embedded template and signing request editors

require_otp_verification
boolean | null

Whether signers must verify their email via OTP before accessing documents. null = inherit from company setting, true = require OTP, false = do not require OTP

show_signature_frame
boolean | null

Whether to render a visual frame with Signature ID around signatures in completed PDFs. null = inherit from company setting (default enabled), true = show frame, false = hide frame